var RotateSpeed=400;  //定义旋转速度为整数且为400
var mouseon : int;   //定义mouseon为整数，记录鼠标是否位于物体上
static var levelcount=0;  //定义levelcount为全球变量方便其他程序调用，且为整数初始为0，用于记录风力等级

function OnMouseEnter()  //当鼠标位于该物体上时，该函数触发
{
	renderer.material.color = Color.red; //该物体颜色变为红色
	mouseon=1;  //鼠标位于物体上
	return mouseon;
}

function OnMouseExit()  //当鼠标不在该物体上时，该函数触发
{
	renderer.material.color = Color.yellow; //该物体颜色变为黄色
	mouseon=0;  //鼠标不在物体上
	return mouseon;
}

function Update ()
{
	if( mouseon && Input.GetButtonDown("Fire1") && levelcount<3 || Input.GetKeyDown("=") && levelcount<3) //风力等级小于3，如果鼠标在物体上且点击鼠标左键或者按下=键
	{
		levelcount++; //风力等级+1
		GameObject.Find("Level").guiText.text=''+levelcount; //Level程序中的显示值为levelcount
		this.transform.Rotate(Vector3.up*15*RotateSpeed);  //该物体延Y轴顺时针旋转一定角度
	}
	if( mouseon && Input.GetButtonDown("Fire2") && levelcount>0 ||Input.GetKeyDown("-") && levelcount>0) //风力等级大于0，如果鼠标在物体上且点击鼠标右键或者按下-键
	{
		levelcount--; //风力等级-1
		GameObject.Find("Level").guiText.text=''+levelcount; //Level程序中的显示值为levelcount
		this.transform.Rotate(Vector3.up*15*-RotateSpeed);   //该物体延Y轴逆时针旋转一定角度
	}
}